Subject: Council for Corporations
From: "Rhonda R. Kunkel" <[email-masked]>
To: Michael B <[email-masked]>
Cc: "David R. Brake" <[email-masked]>
Date: Tue, 6 Jan 2015 16:45:21 +0000

Mike:

I am in the process of registering Council for Corporations with Nebraska and Alabama. I need the following to complete the registrations:

1.       Check for $100.00 payable to Nebraska Secretary of State;

2.       Check for $30.00 payable to Alabama Secretary of State;

3.       I need an Alabama Council for Corporations envelope, flier, or something else that will function to verify the usage of the name.

I will also need Joe to stop over to sign the documents and bring with him the above items.

If you have any questions, please do not hesitate to contact me.

Rhonda R. Kunkel
Knaggs, Harter, Brake & Schneider, P.C.
7521 Westshire Drive, Suite 100
Lansing, Michigan 48917
(517) 622-0590
(517) 622-8463 (fax)